<template>
    <main class="site-main">
      <Header />
      <div class="site-content col-12">
        <div class="col-3 text-center mb-4">
          <div class="d-flex justify-content-center align-items-center border-solid">
            <i class="material-icons">menu_book</i>
            <h4><b>You have 2 tasks left for today, already completed Task today?</b></h4>
          </div>
          <br><br><br>
          <SingleDatePicker />
        </div>
        <div class="col-9">
          <h1 class="text-left mb-5">Task For Today</h1>
          <div class="d-flex justfy-content-start align-items-center mb-5">
            <button class="btn btn-blue mr-4" @click="showModal"><i class="material-icons d-flex align-items-center">add</i>Create</button>
            <input class="form-control radius" id="myInput" type="text" placeholder="Cari">
          </div>
          <div class="bg-white shadow p-3 mb-5 bg-white rounded p-4 mb-4">
            <div class="d-flex mb-4">
              <h3 class="mr-4">Daily Stand Up</h3>
              <div class="btn alert-danger col-1" role="alert">
                <i class="material-icons d-flex align-items-center">check</i>Complete
              </div>
            </div>
            <p class="text-left">1. Dont forget prepare your report and any blocker in Frond End</p>
            <p class="text-left">2. Telling Project Manager for new Assegnment</p>
            <div class="d-flex justify-content-end">
              <i class="material-icons d-flex align-items-center mr-3">mode_edit_outline</i>
              <i class="material-icons d-flex align-items-center">delete</i>
            </div>
          </div>
          <div class="bg-white shadow p-3 mb-5 bg-white rounded p-4 mb-4">
            <div class="d-flex mb-4">
              <h3 class="mr-4">Meeting with Client</h3>
              <div class="btn alert-danger col-1" role="alert">
                <i class="material-icons d-flex align-items-center">check</i>Complete
              </div>
            </div>
            <p class="text-left">1. Dont forget prepare your report and any blocker in Frond End</p>
            <p class="text-left">2. Telling Project Manager for new Assegnment</p>
            <div class="d-flex justify-content-end">
              <i class="material-icons d-flex align-items-center mr-3">mode_edit_outline</i>
              <i class="material-icons d-flex align-items-center">delete</i>
            </div>
          </div>
        </div>
      </div>
      <div>
        <b-modal ref="my-modal" hide-footer title="New Task">
          <div class="d-block text-left modal-baru">
            <div class="card-title"><b>Title</b></div>
            <input type="text" class="form-control mb-4">
            <div class="card-title"><b>Description</b></div>
            <textarea class="form-control mb-4" cols="30" rows="10"></textarea>
            <div class="card-title"><b>Choose date</b></div>
            <SingleDatePicker />
          </div>
          <div class="d-flex col-8">
            <b-button class="text-right mt-3 mr-3" variant="danger" block @click="hideModal">Cancel</b-button>
            <b-button class="text-right mt-3" variant="outline-secondary" block @click="hideModal">Create task</b-button>

          </div>
        </b-modal>
      </div>
    </main>
</template>

<script>
import SingleDatePicker from 'vue-single-date-picker'
import Header from '../components/header'
export default {
  name: 'Layout',
  components: {
    Header,
    SingleDatePicker
  },
  methods: {
    showModal() {
      this.$refs['my-modal'].show()
    },
    hideModal() {
      this.$refs['my-modal'].hide()
    },
  }
}
</script>

<style lang="scss" scoped>
.border-solid {
  .material-icons {
    font-size: 130px;
  }
  background-color: #007bff;
  padding: 2rem;
  color: #fff;
  border-radius: 20px;
}
.single-date-picker__calendar-view[data-v-6fbe3289] {
  max-width: none !important;
}
#single-date-picker[data-v-6fbe3289] {
  width: 100%;
}
.btn-blue {
  background-color: #007bff;
  color: #fff;
  border-radius: 30px;
}
.radius {
  border-radius: 20px;
}
</style>
